<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="./appform_report_common_shield.xsl"/>
<xsl:include href="./appform_report_personal_details_shield.xsl"/>
<xsl:include href="./appform_report_plan_details_shield.xsl"/>
<xsl:include href="./appform_report_rop_insurability_shield.xsl"/>
<xsl:include href="./appform_report_declaration_la_shield.xsl"/>
<xsl:include href="./appform_report_declaration_ph_shield.xsl"/>

<xsl:template match="/">
<html>
<head>
<link rel="stylesheet" type="text/css" href="style.css"></link>
</head>



<body>
  <div style="margin: .25in .25in .25in .25in;">

    <!--Check if there is a proposer data 
    If no proposer data; then it is an life assured 
    -->

    <xsl:variable   name="isProposer">
      <xsl:value-of select = "/root/reportData/isProposer"/>      
    </xsl:variable>


    <xsl:choose>
      <!--Proposer data only -->
      <xsl:when test = "$isProposer = 'true'">
        <xsl:call-template    name  ="appform_shield_ph_header"/>
        <xsl:call-template    name  ="appform_report_personal_details"/>
        <xsl:call-template    name  ="appform_report_plan_details"/>
        <xsl:if test="/root/reportData/proposer/extra/isPhSameAsLa = 'Y'">
            <xsl:call-template    name  ="appform_report_insurability">
                <xsl:with-param     name  ="isProposer" select="'true'"/>
            </xsl:call-template>     
        </xsl:if>
        <xsl:call-template    name  ="appform_report_declaration_ph"/>
      </xsl:when>

      <!--Life Assured data only -->
      <xsl:otherwise>
        <xsl:call-template    name  ="appform_report_insurability">
          <xsl:with-param     name  ="isProposer" select="'false'"/>
        </xsl:call-template>     
        <xsl:call-template    name  ="appform_report_declaration_la"/>
      </xsl:otherwise>

    </xsl:choose>
    
  </div>
</body>

</html>
</xsl:template>

</xsl:stylesheet>
